#!/bin/bash

# This file and its contents copyright (c) 2011
# i9 Technologies. http://www.i9technologies.com or
# e-mail isymphony-support@i9technologies.com for 
# more information
#
# Maintainer(s):
# Arthur Heffern
#

# NOTE: If upgrades do not work, make sure you set your
# JAVA_HOME directory to the base install of your JRE.
# JAVA_HOME=/usr/java/latest

SERVERSCRIPTNAME=`ls -1 *Server.sh | head -n 1`
NAME=`echo ${SERVERSCRIPTNAME} | sed s/.sh//`
LCNAME=`echo ${SERVERSCRIPTNAME} | tr '[A-Z]' '[a-z]' | sed s/server// | sed s/.sh//`
LOCATION="/opt/${LCNAME}/server/";

if [ -e ${LOCATION}/config-vars.sh ]; then
    . ${LOCATION}/config-vars.sh
fi

echo "Configuration Complete, beginning install.."

WHOAMI=`whoami`

if [ ${WHOAMI} != "root" ]; then
    echo "You must be root to install this application"
    exit 1
fi

if [ -e /etc/init.d ]; then
        echo "Installing init script, enabling and starting service.."
        cp -p /opt/isymphony/server/REDHAT-INIT-SCRIPT /etc/init.d/isymphony
        chkconfig isymphony on
        service isymphony start
fi

echo "Installing FreePBX Module and Configuring FreePBX.."
echo  ""

if [ -e /var/www/html/admin/modules ]; then 
	echo "Found FreePBX installation, installing module files."
	mkdir -p /var/www/html/admin/modules/isymphony
	cp -Rp /opt/isymphony/server/freepbx-module/* /var/www/html/admin/modules/isymphony
	echo "Configuring modules.."
	/usr/local/sbin/amportal chown
	sudo -u asterisk /var/lib/asterisk/bin/module_admin install isymphony
	sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
	sudo -u asterisk /var/lib/asterisk/bin/module_admin reload
	echo "Done configuring module.."
else
	echo "No FreePBX installation found, assuming build."
fi

echo "Done."
